StarPU Internal Handbook

Data Fields
_starpu_worker_set Struct Reference

`#include <workers.h>`

## Data Fields
starpu_pthread_mutex_t | mutex
starpu_pthread_t | worker_thread
unsigned | nworkers
unsigned | started
void * | retval
struct _starpu_worker * | workers
starpu_pthread_cond_t | ready_cond
unsigned | set_is_initialized

## Detailed Description

in case a single CPU worker may control multiple accelerators

## Field Documentation

## ◆ mutex

starpu_pthread_mutex_t _starpu_worker_set::mutex

## ◆ worker_thread

starpu_pthread_t _starpu_worker_set::worker_thread

the thread which runs the worker

## ◆ nworkers

unsigned _starpu_worker_set::nworkers

## ◆ started

unsigned _starpu_worker_set::started

Only one thread for the whole set

## ◆ retval

void* _starpu_worker_set::retval

## ◆ workers

struct _starpu_worker* _starpu_worker_set::workers

## ◆ ready_cond

starpu_pthread_cond_t _starpu_worker_set::ready_cond

indicate when the set is ready

## ◆ set_is_initialized

unsigned _starpu_worker_set::set_is_initialized

The documentation for this struct was generated from the following file:

- workers.h